# 移动警务系统

基于Vue 3 + Vite构建的移动警务应用，为警务人员提供便捷的移动办公解决方案。

## 技术栈

- **前端框架**: Vue 3
- **构建工具**: Vite
- **UI组件库**: Vant
- **状态管理**: Pinia
- **路由管理**: Vue Router
- **HTTP请求**: Axios

## 项目特点

- 采用Vue 3 `<script setup>` 语法糖，提高开发效率
- 响应式设计，适配各种移动设备屏幕
- 针对全面屏手机进行了底部安全区域适配
- 模块化设计，便于功能扩展和维护

## 主要功能

- 用户认证与授权
- 个人中心管理
- 警务动态发布与查看
- 警务信息交流与分享
- 适配iOS和Android全面屏设备

## 开发指南

### 环境准备

```bash
# 安装依赖
npm install

# 启动开发服务器
npm run dev

# 构建生产版本
npm run build

# 预览生产构建
npm run preview
```
