/**
 * 需要走二类区请求
 * 使用示例
 * request({
    url: '/api/data',
    method: 'get',
    requestMode: import.meta.env.NODE_ENV == 'production' ? import.meta.env.APP_DEFAULT_REQUEST_MODE : RequestMode.LOCAL_ONLY,
  })
 */
import request, { RequestMode } from '@/utils/request'
const requestMode =
  import.meta.env.NODE_ENV == 'production'
    ? import.meta.env.APP_DEFAULT_REQUEST_MODE
    : RequestMode.LOCAL_ONLY

export const getUser = () => {
  return request({
    url: '/user/getUser',
    method: 'get',
    requestMode
  })
}
