/**
 * 路由配置
 * @type {import('vue-router').RouteRecordRaw[]}
 */
const routes = [
  {
    path: '/',
    redirect: '/home'
  },
  {
    path: '/home',
    name: 'Home',
    redirect: '/warningCircle',
    component: () => import('@/views/Home.vue'),
    children: [
      {
        path: '/WarningCircle',
        name: 'warningCircle',
        component: () => import('@/views/WarningCircle.vue')
      },
      {
        path: '/WarningCircle/add',
        name: 'AddCircle',
        component: () => import('@/views/WarningCircle/AddCircle.vue')
      },
      {
        path: '/layout',
        name: 'layout',
        component: () => import('@/views/layout.vue')
      },
      {
        path: '/ai',
        name: 'Ai',
        component: () => import('@/views/Ai.vue')
      },
      {
        path: '/mine',
        name: 'Mine',
        component: () => import('@/views/Mine.vue')
      },
      {
        path: '/message',
        name: 'Message',
        component: () => import('@/views/Message.vue')
      }
    ]
  },
  {
    path: '/login',
    name: 'Login',
    component: () => import('@/views/Login.vue')
  }
]

export default routes
